RSSFactory Class Reference

`#import <RSSFactory.h>`

Inherits NSObject, and <RSSFactory>.

## Instance Methods

(NSString *) | - storagePathForURL:
(id< RSSArticle >) | - articleWithHeadline:URL:content:date:
(id< RSSMutableArticle >) | - articleFromStorageWithURL:
(id< RSSMutableArticle >) | - articleFromDictionary:

## Class Methods

(id< RSSFactory >) | + sharedFactory
(void) | + setFactory:

## Detailed Description

A standard implementation of the RSSFactory protocol. This class can easily be subclassed and changed.

## Method Documentation

## articleFromDictionary:()

- (id< RSSMutableArticle >) articleFromDictionary: |  | (NSDictionary*) | aDictionary |

The default implementation of this method returns a article of the RSSArticle class. (which implements the RSSMutableArticle protocol)

Referenced by articleFromStorageWithURL:.

## articleFromStorageWithURL:()

- (id< RSSMutableArticle >) articleFromStorageWithURL: |  | (NSString*) | aURL |

The default implementation of this method returns a new article of the RSSArticle class.(which implements the RSSMutableArticle protocol)

References articleFromDictionary:, and storagePathForURL:.

## articleWithHeadline:URL:content:date:()

- (id< RSSArticle >) articleWithHeadline: |  | (NSString*) | aHeadline
URL: |  | (NSString*) | aURL
content: |  | (NSString*) | aContent
date: |  | (NSDate*) | aDate

The default implementation of this method returns a new article of the RSSArticle class.

## setFactory:()

+ (void) setFactory: |  | (id<RSSFactory>) | aFactory |

Sets another shared factory instance than the currently selected one.

References sharedFactory.

## sharedFactory()

+ (id< RSSFactory >) sharedFactory |  |  |

Returns the shared factory instance.

Referenced by RSSArticle::articleFromStorageWithURL:, RSSArticle::initFromStorageWithURL:, RSSArticle::initWithDictionary:, and setFactory:.

## storagePathForURL:()

- (NSString *) storagePathForURL: |  | (NSString*) | anURL |

Returns the path where an article is stored in based on its URL.

Returns the file path where an article with the anURL URL would be stored to.

Referenced by articleFromStorageWithURL:.

The documentation for this class was generated from the following files:

- RSSFactory.h
- RSSFactory.m